<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1ActuatorForceTarget.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpenSim::ActuatorForceTarget Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classOpenSim_1_1ActuatorForceTarget.html">OpenSim::ActuatorForceTarget</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html#a0fb43c9136628095d64d3e6eda808f57">_dx</a></td><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html">OpenSim::OptimizationTarget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1ActuatorForceTarget.html#a0b81defc398faee1c5e109627194cd01">ActuatorForceTarget</a>(int aNX, CMC *aController)</td><td class="entry"><a class="el" href="classOpenSim_1_1ActuatorForceTarget.html">OpenSim::ActuatorForceTarget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html#a955bc8a7fdbe6b6619a34de01d7669b3">CentralDifferences</a>(const OptimizationTarget *aTarget, double *dx, const SimTK::Vector &amp;x, SimTK::Vector &amp;dpdx)</td><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html">OpenSim::OptimizationTarget</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html#a7f08da8292776b2cb834409c2a2b68c9">CentralDifferencesConstraint</a>(const OptimizationTarget *aTarget, double *dx, const SimTK::Vector &amp;x, SimTK::Matrix &amp;jacobian)</td><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html">OpenSim::OptimizationTarget</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html#a662262b4292885161905998ef41171a4">ForwardDifferences</a>(const OptimizationTarget *aTarget, double *dx, const SimTK::Vector &amp;x, SimTK::Vector &amp;dpdx)</td><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html">OpenSim::OptimizationTarget</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html#a1cbd3667b9218a9de9013a331b9dcb37">getDX</a>(int aIndex)</td><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html">OpenSim::OptimizationTarget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html#a4fdf5dd2ea86e145ec77d79b58cd7bc0">getDXArray</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html">OpenSim::OptimizationTarget</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1ActuatorForceTarget.html#aa00c92f64845046b06bef7e94ce69ca5">gradientFunc</a>(const SimTK::Vector &amp;x, bool new_coefficients, SimTK::Vector &amp;gradient) const override</td><td class="entry"><a class="el" href="classOpenSim_1_1ActuatorForceTarget.html">OpenSim::ActuatorForceTarget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1ActuatorForceTarget.html#ae999327201cef3fac830faf43aa4b45d">objectiveFunc</a>(const SimTK::Vector &amp;aF, bool new_coefficients, SimTK::Real &amp;rP) const override</td><td class="entry"><a class="el" href="classOpenSim_1_1ActuatorForceTarget.html">OpenSim::ActuatorForceTarget</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html#a731378dc81796e3ed09bccee16bd48d4">OptimizationTarget</a>(int aNX=0)</td><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html">OpenSim::OptimizationTarget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1ActuatorForceTarget.html#aef778e3ec68d1066e8c12a89aa9e1554">prepareToOptimize</a>(SimTK::State &amp;s, double *x) override</td><td class="entry"><a class="el" href="classOpenSim_1_1ActuatorForceTarget.html">OpenSim::ActuatorForceTarget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html#ac4709e9038c473ed88b8bb3dcd840d4c">printPerformance</a>(double *x)</td><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html">OpenSim::OptimizationTarget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html#a6b9a59eb66d062d41d88e7ffdff2b672">setDX</a>(double aVal)</td><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html">OpenSim::OptimizationTarget</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html#a52ea0f55facc22653fdab53bc5e38683">setDX</a>(int aIndex, double aVal)</td><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html">OpenSim::OptimizationTarget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html#a129e9fc55ee34e9e19e3af51caa5e549">setNumParameters</a>(const int aNX)</td><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html">OpenSim::OptimizationTarget</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1ActuatorForceTarget.html#a65345b62cd7bcbe7d83ef3aeb43e5813">setStressTermWeight</a>(double aWeight)</td><td class="entry"><a class="el" href="classOpenSim_1_1ActuatorForceTarget.html">OpenSim::ActuatorForceTarget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html#a819b5e73607c9462b3b719e701a30ad5">SMALLDX</a></td><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html">OpenSim::OptimizationTarget</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html#a1d5baf46187f3415d1d5459a46c5c96a">validatePerturbationSize</a>(double &amp;aSize)</td><td class="entry"><a class="el" href="classOpenSim_1_1OptimizationTarget.html">OpenSim::OptimizationTarget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1ActuatorForceTarget.html#a3e216ac939abf2f5d2919619c3eecc76">~ActuatorForceTarget</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1ActuatorForceTarget.html">OpenSim::ActuatorForceTarget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:41 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
